# \Thelia\Core\ControllerControllerResolver

ControllerResolver that supports "a:b:c", "service:method" and class::method" notations in routes definition thus allowing the definition of controllers as service (see http://symfony.com/fr/doc/current/cookbook/controller/service.html)

## Summary

Methods
Properties
Constants
__construct()
No public properties found
No constants found
createController()
$container
N/A
No private methods found
No private properties found
N/A

File
  Core/Controller/ControllerResolver.php
Package
  \Default
Class hierarchy
  \Symfony\Component\HttpKernel\Controller\ControllerResolver
  \Thelia\Core\Controller\ControllerResolver

## Tags

author | Fabien Potencier fabien@symfony.com Franck Allimant franck@cqfdev.fr

## Properties

### $container

    $container

#

## Tags

None found

## Methods

### __construct()

    __construct(\Symfony\Component\DependencyInjection\ContainerInterface $container, \Thelia\Core\Controller\LoggerInterface $logger)

Constructor.

#### Parameters

\Symfony\Component\DependencyInjection\ContainerInterface | $container | A ContainerInterface instance
\Thelia\Core\Controller\LoggerInterface | $logger | A LoggerInterface instance

#

## Tags

None found

### createController()

    createController(string $controller) : mixed

Returns a callable for the given controller.

#### Parameters

string | $controller | A Controller string

#### Throws

\LogicException

  When the name could not be parsed

\InvalidArgumentException

  When the controller class does not exist

#### Returns

mixed —

A PHP callable

#

## Tags

None found

### ControllerResolver.php